#!/bin/sh
BINPATH="/usr/bin"
DOCPATH="/usr/man/man6"
echo "Where do you want to install tkXmlC (/opt/xmlc) ?"
read path
if [ "$path" == "" ] 
	then
		path="/opt/xmlc"
fi
if test -d $path
	then 
		echo "That path already exists, pleasy try smthg else ..."
		exit
fi
echo "Installing tkXmlC in $path ..."
mkdir $path
mkdir $path/icons
mkdir $path/pictures
mkdir $path/lib
echo "Copying main program ........."
cp xmlc xmlc.ini $path
chmod 666 $path/xmlc.ini
echo "Copying icons ................"
cp ./icons/* $path/icons
echo "Copying libraries ............"
cp ./lib/* $path/lib
echo "Copying pictures ............."
cp ./pictures/* $path/pictures
echo "Linking in /usr/bin .........."
ln -s $path/xmlc $BINPATH/xmlc
echo "Copying man files ............"
cp ./doc/man/tkxmlc.man $DOCPATH/tkxmlc.6
